#
# spec file for package efont-unicode-bitmap-fonts
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           efont-unicode-bitmap-fonts
Version:        0.4.2
Release:        228.10
%define	_miscfontsdir     /usr/share/fonts/misc
Summary:        Unicode Font by /efont/
License:        SUSE-Public-Domain AND BSD-3-Clause
Group:          System/X11/Fonts
URL:            http://openlab.ring.gr.jp/efont/
Source0:        http://openlab.ring.gr.jp/efont/dist/unicode-bdf/efont-unicode-bdf-0.4.2-src.tar.bz2
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         baseline-offset.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         bugzilla-199997-some-glyphs-for-yast.patch
# PATCH-FIX-UPSTREAM -- ToDo
Patch2:         reproducible.patch
# PATCH-FIX-OPENSUSE
Patch3:         remove_deprecated_one_based_array_index.diff
BuildRequires:  bdfresize
BuildRequires:  bdftopcf
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Requires(post):      mkfontdir
Requires(postun):    mkfontdir
Requires(posttrans): mkfontdir
Provides:       efont-unicode = %{version}
Obsoletes:      efont-unicode <= 0.4.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Unicode fonts developed by /efont/ openlab. This font package includes
12,14, 16, and 24 pixel ISO-10646 fonts.

%prep
%setup -q -n efont-unicode-bdf-0.4.2-src
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
iconv -f ISO-8859-1 -t UTF-8 < README.etl-unicode > README.etl-unicode.tmp
mv README.etl-unicode.tmp README.etl-unicode
for i in README.shinonome README.naga10
do
    iconv -f EUC-JP -t UTF-8 < $i > $i.tmp
    mv $i.tmp $i
done
./configure --with-_miscfontsdir=%{_miscfontsdir}

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_miscfontsdir}
install -m 444 *.pcf.gz %{buildroot}%{_miscfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%license COPYRIGHT
%doc README* ChangeLog
%dir %{_miscfontsdir}/
%{_miscfontsdir}/*.pcf.gz

%changelog
* Thu Nov 21 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix use of deprecated one-based array index, removed in perl 5.30.
  Add remove_deprecated_one_based_array_index.diff
* Sun Jun 18 2017 bwiedemann@suse.com
- Add reproducible.patch to call gzip -n to make build fully reproducible
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Tue Apr  3 2012 pgajdos@suse.com
- SUSE-Public-Domain and BSD-3-Clause license
* Fri Jan 20 2012 tiwai@suse.de
- Renamed efont-unicode -> efont-unicode-bitmap-fonts according to
  openSUSE packaging guidelines and FATE#313035
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Tue Nov 21 2006 mfabian@suse.de
- Bugzilla #199997: Add the special glyphs needed by YaST2
  to the halfwidth fonts.
* Fri Aug  4 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/misc in STABLE (paths changed
  because of the move to Xorg X11R7).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 mfabian@suse.de
- Bugzilla #65106: convert README* to UTF-8.
* Mon Jan 10 2005 schwab@suse.de
- Set _MULE_BASELINE_OFFSET only in 24 pxl font.
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Wed Sep 15 2004 mfabian@suse.de
- Bugzilla #45341: run SuSEconfig.fonts only if it exists.
- update to 0.4.2 (which includes my patch for Bugzilla #44705
  and Bugzilla #24755).
* Tue Sep 14 2004 mfabian@suse.de
- Bugzilla #44705: set _MULE_BASELINE_OFFSET to -3 for all
  efont-unicode fonts to make them harmonize better with the
  ETL-fonts from the GNU intlfonts-1.2.1 package.
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Sat Feb 14 2004 mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Thu Feb  5 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Thu Nov  6 2003 arvin@suse.de
- added freetype2 to neededforbuild
* Sat Mar  8 2003 mfabian@suse.de
- Bug #24755: add more missing properties to the bdf headers:
  ADD_STYLE_NAME, PIXEL_SIZE, POINT_SIZE, RESOLUTION_X,
  RESOLUTION_Y, and AVERAGE_WIDTH.
  If these properties are missing they cannot be queried via
  freetype2. Being able to query POINT_SIZE and AVERAGE_WIDTH
  from freetype2 is useful to find out whether a font is
  single-width or double-width.
* Thu Jan  9 2003 mfabian@suse.de
- add missing properties to the bdf headers:
  FOUNDRY, FAMILY_NAME, WEIGHT_NAME, SLANT, SETWIDTH_NAME
  CHARSET_REGISTRY, and CHARSET_ENCODING.
  This is necessary to make these fonts work with Xft.
- move fonts from /usr/X11R6/lib/X11/fonts/ucs/misc to
  /usr/X11R6/lib/X11/fonts/misc
* Thu Nov 15 2001 mfabian@suse.de
- update to 0.4.0 (includes 10 pixel fonts now)
- build from sources instead of using the pre-built bdf files
  (saves 8 MB in the source rpm and enables use to build the
  "full-witdh" fonts as well, which are very useful with
  xterm in UTF-8 mode).
- add efont-unicode-bdf-0.4.0.patch to build "full-width" only
  fonts as well and to fix the XLFD for "full-width" fonts to
  something like:
  "-efont-fixed-medium-r-normal-*-16-160-75-75-c-160-iso10646-1"
  (i.e. "fixed" instead of "biwidth", "c" instead of "p"
  and twice the average width than the "half-width" font.
* Tue Sep  4 2001 mfabian@suse.de
- update to version 0.3.1 (includes 24 pixel fonts now)
* Fri Mar  9 2001 ro@suse.de
- added xf86
* Wed Feb 28 2001 ro@suse.de
- fixed typo in specfile
* Wed Jan 31 2001 violiet@suse.de
- efont-unicode-bdf renamed to efont-unicode.
* Mon Jan 29 2001 violiet@suse.de
- NEW efont-unicode-bdf package version to 0.2.
